@import "../partials/colors";
@import '../partials/reset';
@import '../partials/demensions';
@import '../partials/mixins';
@import url(https://fonts.googleapis.com/css2?family=Montserrat&display=swap);

   // desktop hoofd navigatie
   .desktop-navigation-container{
        
    @media only screen and (max-width: $smallScreen) {
        display: none;      
    }  
    @media only screen and (max-width: 900px) {
        border-top: 1px solid $white;  
        
    }
    border-top: 1px solid $white; 
    .desktop-navigation-main{
        z-index: 20;
        position: relative;
        ul li {
            display:inline-block;
            a{
                display:block;
                color: $white;
                text-decoration: none;
                font-size: 0.8rem;
                padding:$normalPadding;
                
                &:hover{
                    cursor:pointer; 
                    font-weight: bold;
                    transition: all 700ms;
           

                }
                
            }

        }
    }

}

// ---- menu's openen en sluiten desktop en mobile---
//--mobile--
.mobile-menu-list{
    @media only screen and (min-width: $smallScreen) {
        display: none;      
    }
    z-index: 50;
    position:fixed;
    ul{ 
        padding-top: 50px;
        padding-left:$bigPadding;
       border-radius: 3px;
       background-color: $black;
       transition: all 1300ms;
       p{
        border-bottom:1px solid $white;
        font-size: 1.2rem;
        color: $white;
        text-align: center;
        font-weight: bold;
        padding:$normalPadding;
  
        }
        .sub{
            a{
                padding-left: 15px;
                font-weight: bold;
            }
           
        }
        li {
 
           text-align: start;
           display: block;
           padding: 25px ;
           a{
               font-size: 1.2rem;
            text-decoration: none;
            color: $white;
           }
           
       }

   }
}
.mobile-menu-open{
    @media only screen and (min-width: $smallScreen) {
        display:none;
     }
     .close{
         padding-left: 80vw;
         z-index: 100;
         color: $white;
  
     }
    z-index:100;
    position: fixed;
    background-color: $black;
    padding-top: 50px;
    top:0;
    left: 0;
    transition: all 1500ms;
    width:100vw;
    min-height: 100vh;
    display:flex;
    justify-content: flex-start;
    align-items: flex-start;
    

}
.mobile-menu-closed{
    @media only screen and (min-width: $smallScreen) {
        display:none;
     }
    z-index: 100;
    position: fixed;
    background-color: $black;
    padding-top: 50px;
    top:0;
    left: -110%;
    transition: all 1500ms;
    width:100vw;
    min-height: 100vh;
    display:flex;
    justify-content: center;
    align-items: flex-start;


} 
//--desktop
.submenu-closed{

   z-index: 100 !important;
    height:400px;
    left: -55vw !important;
    width: 300px;
    transition: ease-in 800ms;


}

.submenu-closed-product{

 
    // z-index: -1 !important;
    top: -300px !important;
    ul{
        display:none;
    }

    transition: ease-in-out 1500ms !important;  

}
.desktop-navigation-submenu{
    position: absolute;
    z-index: 100 !important;
    top:48px;
    height: 400px;
    left: 0;
    width: 300px;
    display:flex;
    align-items: flex-start;
    justify-content: center;   
    background-color:$black;
    color:$white;
  
    ul{
        z-index: 100 !important;
        padding-top: 20px;
        p{
            &:hover{
                cursor: pointer;
                font-weight: bolder;
            }
            font-size: 0.8rem !important;
            padding: 15px !important;
            display: block !important;
            color: #fffdfd !important;
            text-decoration: none !important;
        }
        a {
            font-size: 0.8rem;
            padding:$normalPadding;
            display:block;
            color: $white;
            text-decoration: none;
            &:hover{
                cursor: pointer;
                font-weight: bolder;
            }
        }
    }
       transition: ease-in-out 1000ms; 
}
.desktop-navigation-product{
    z-index: 1;
    position: absolute;
    height: 200px;
    left:295px !important ;
    top: 48px;
    width: 250px;
    display:flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;   
    background-color:rgba(0, 0, 0, 0.836);
    color:$white;

    ul{
        padding-top: 50px;
   
        a {
            font-size: 0.8rem;
            padding: 7px;
            text-align: left;
            display:block;
            color: $white;
            text-decoration: none;
        }
    }
    transition: ease-in-out 1500ms !important;   
}